> For the complete documentation index, see [llms.txt](https://docs.wem.io/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wem.io/platform/tutorials/building-widgets/in-depth/5-view-state/3-summery.md).

# 3. Summary

Manipulating the view state via JavaScript can be quite overwhelming. The following table illustrates the differences between various scenarios.

The table below assumes that some view state has been set via JavaScript after a page load to a view state field.

| View State Condition                          | Runtime.viewState | sessionStorage | localStorage |
| --------------------------------------------- | ----------------- | -------------- | ------------ |
| Persisted on browser refresh (F5)             | No                | Yes            | Yes          |
| Persisted on WEM application event            | Yes               | Yes            | Yes          |
| Removed when the widget is unloaded           | Yes               | Depends        | Depends      |
| Removed when the browser tab is closed        | Yes               | Yes            | No           |
| Removed when the browser is closed            | Yes               | Yes            | No           |
| Removed when your computer is hit by a meteor | Yes               | Yes            | Yes          |

In the case of a widget being unloaded, there are two scenarios where the outcome depends on specific conditions. As discussed in the previous chapter, we have the option to manually clear the state of `localStorage` and `sessionStorage` in the `unloadscript` block (see [WEMScript Script Blocks](/platform/tutorials/building-widgets/wemscript/7-script-blocks-introduction.md#unload-script)).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.wem.io/platform/tutorials/building-widgets/in-depth/5-view-state/3-summery.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
